use axum::{extract::State, response::IntoResponse, Form};

use crate::service::templates;
use serde::Deserialize;

#[derive(Deserialize)]
pub struct Question {
    question: String,
}

pub async fn howtos(templates: State<templates::Templates>) -> impl IntoResponse {
    templates.render_html("howto/index.html", ())
}

pub async fn answer_question(Form(question): Form<Question>) -> impl IntoResponse {
    format!("You asked: {}, There is your answer!", question.question).to_owned()
}
