use axum::extract::FromRef;

use crate::admin::state::AdminState;
use crate::service::templates;

#[derive(Clone)]
pub struct AppState {
    pub templates: templates::Templates,
    pub admin: AdminState,
}

impl FromRef<AppState> for templates::Templates {
    fn from_ref(app_state: &AppState) -> templates::Templates {
        app_state.templates.clone()
    }
}

impl FromRef<AppState> for AdminState {
    fn from_ref(app_state: &AppState) -> AdminState {
        app_state.admin.clone()
    }
}
